## mpdscribble 0.19

=== debian/changelog ===
mpdscribble (0.19-2) unstable; urgency=low

  * Convert to 3.0 (quilt) source format.
  * Fix infinite submittion of now playing (Closes: #596036).
  * Rebuilt against current libc (Closes: #596445).
  * Bump standards to 3.9.1.
  * Move packaging SVN repository to collab-maint.
  * Fix dashes in man pages.

 -- Michal Čihař <nijel@debian.org>  Tue, 14 Sep 2010 09:24:42 +0200

mpdscribble (0.19-1) unstable; urgency=low

  * New upstream version.
  * Use system libmpdclient.

 -- Michal Čihař <nijel@debian.org>  Sat, 02 Jan 2010 13:22:59 +0100

mpdscribble (0.18.1-2) unstable; urgency=low

  * Lower init script dependency on mpd to should, as we can work with remote
    mpd also (caught by piuparts testing).

 -- Michal Čihař <nijel@debian.org>  Mon, 21 Sep 2009 11:57:06 +0200

mpdscribble (0.18.1-1) unstable; urgency=low

  * New upstream release.
    - No useless complains about missing journal (Closes: #540112).
  * Update to policy 3.8.3 (no changes needed).

 -- Michal Čihař <nijel@debian.org>  Thu, 03 Sep 2009 12:00:36 +0200

mpdscribble (0.18-3) unstable; urgency=low

  * Fix typo breaking generating of /etc/default/mpdscribble.
  * Fix typo preventing mpdscribble to start.
  * Use debconf value if there was any previously, do not blindly set it
    according to newly created config file with defaults.
  * Manage /etc/default/mpdscribble using ucf.
  * Do not use return in init script, exit is correct.

 -- Michal Čihař <nijel@debian.org>  Thu, 16 Jul 2009 11:53:13 +0200

mpdscribble (0.18-2) unstable; urgency=low

  * Use settings in /etc/default/mpdscribble instead of just debconf for
    remembering whether mpdscribble should be started systemwine 
    (Closes: #536735).

 -- Michal Čihař <nijel@debian.org>  Wed, 15 Jul 2009 10:34:09 +0200

mpdscribble (0.18-1) unstable; urgency=low

  * New upstream version.
    - Allows to use custom AS_HOST (Closes: #522714).
  * Move mpdscribble-dbg to debug section.
  * Update to policy 3.8.2 (no changes needed).
  * Mention support for Libre.fm in description.

 -- Michal Čihař <nijel@debian.org>  Thu, 09 Jul 2009 08:18:46 +0200

mpdscribble (0.17-1) unstable; urgency=low

  * New upstrem release.
  * Depend on ucf (>= 0.28) for --debconf-ok.
  * Use new daemonizing/chuid/pid features of mpdscribble.
  * Use override feature of debhelper in debian/rules.

 -- Michal Čihař <nijel@debian.org>  Thu, 05 Mar 2009 10:37:46 +0100

mpdscribble (0.16-3) unstable; urgency=low

  * Do not ship /var/cache/mpdscrible/cache directory, it should be file
    created by mpdscribble (Closes: #514734).
  * Call ucf with --debconf-ok.

 -- Michal Čihař <nijel@debian.org>  Tue, 10 Feb 2009 15:01:49 +0100

mpdscribble (0.16-2) unstable; urgency=low

  * Upload to unstable.
  * [INTL:es] New Spanish translation (Closes: #512997).
  * Update debian/copyright.

 -- Michal Čihař <nijel@debian.org>  Mon, 09 Feb 2009 17:50:15 +0100

mpdscribble (0.16-1) experimental; urgency=low

  * New upstream release.
  * New version can write PID file and run as a daemon (but it is not useful
    as we don't want to run mpdscribble as root and writing PID works only as
    root).

 -- Michal Čihař <nijel@debian.org>  Tue, 20 Jan 2009 17:50:16 +0100

mpdscribble (0.15-2) experimental; urgency=low

  * Improve description a bit.
  * Install NEWS as a changelog.
  * Do not create log as the package now uses syslog.
  * Create /etc/mpdscribble.conf even if not using systemwide configuration.
  * Remove temp file used in generating configuration.
  * Create /etc/mpdscribble.conf with correct permissions.
  * Tell adduser not to create home directory for mpdscribble user (it's
    shipped in package).
  * Remove dpkg-override for cache on purge.

 -- Michal Čihař <nijel@debian.org>  Tue, 06 Jan 2009 17:14:50 +0100

mpdscribble (0.15-1) experimental; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 05 Jan 2009 08:22:31 +0100

mpdscribble (0.14-1) experimental; urgency=low

  * New upstream release.
    - Drop all patches as they were integrated upstream.
    - Do not use system libmpd as it is not supported by upstream
    (libmpdclient which will be properly supported should be available soon).
  * Adjust debian/watch to new upstream.
  * Point homepage to musicpd.org wiki.
  * delgroup has no --system switch.
  * Do not ignore errors in config script.
  * Update debian/copyright to match upstream source changes.
  * Drop not needed build deps: libmpd-dev, dpatch.
  * Add misc:Depends do mpdscribble-dbg depends.
  * Install upstream config file as an example.
  * Handle config file using ucf to preserver user changes.
  * Drop logrotate support as mpdscribble now uses syslog by default.
  * Upload to experimental because of excessive changes.

 -- Michal Čihař <nijel@debian.org>  Fri, 26 Dec 2008 16:58:05 +0100

mpdscribble (0.2.12-13) unstable; urgency=low

  * Add README.source.
  * Update to standards 3.8.0.
  * Integrate some patches from upstream BTS:
    - Switch to libsoup-2.4.
    - Fix crash, when Ctrl+C is pressed.
    - Fix typo in help.
    - Fix memory corruption in some cases.
    - Fix some compilation warnings and code errors.
  * Switch to debhelper 7.
  * Add debug package.

 -- Michal Čihař <nijel@debian.org>  Mon, 22 Sep 2008 15:16:12 +0200

mpdscribble (0.2.12-12) unstable; urgency=low

  * Fix configuring of proxy from config file (Closes: #482484).
  * Fix location of config file in man page (Closes: #482485).

 -- Michal Čihař <nijel@debian.org>  Fri, 23 May 2008 16:23:43 +0200

mpdscribble (0.2.12-11) unstable; urgency=low

  * Fix possible crash in proxy handling (Closes: #481482).

 -- Michal Čihař <nijel@debian.org>  Mon, 19 May 2008 08:18:11 +0200

mpdscribble (0.2.12-10) unstable; urgency=low

  * Experimental support for HTTP proxy based on patch from upstream bug
    tracker (Closes: #481482).

 -- Michal Čihař <nijel@debian.org>  Fri, 16 May 2008 15:08:17 +0200

mpdscribble (0.2.12-9) unstable; urgency=low



## mpdscribble 0.20

=== debian/changelog ===
mpdscribble (0.20-1) unstable; urgency=low

  * New upstream release.
    - All patches integrated upstream.

 -- Michal Čihař <nijel@debian.org>  Mon, 15 Nov 2010 09:45:18 +0100

## mpdscribble 0.23

=== meson_options.txt ===
option('systemd', type: 'feature', description: 'systemd support')
option('systemd_system_unit_dir', type: 'string', description: 'systemd system service directory')
option('systemd_user_unit_dir', type: 'string', description: 'systemd user service directory')

option('syslog', type: 'feature', description: 'syslog support')

option('test', type: 'boolean', value: false, description: 'Build the unit tests and debug programs')

## mpdscribble 0.21

=== debian/changelog ===
mpdscribble (0.21-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 31 Jan 2011 11:51:46 +0100

=== debian/control ===
Source: mpdscribble
Section: sound
Priority: optional
Maintainer: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 7.0.50), 
    autotools-dev, 
    libsoup2.4-dev, 
    libmpdclient-dev,
    po-debconf
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/mpdscribble/trunk/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/mpdscribble/trunk/
Homepage: http://mpd.wikia.com/wiki/Client:Mpdscribble

Package: mpdscribble
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
    ucf (>= 0.28),
    adduser, 
    lsb-base
Suggests: mpd
Provides: mpd-client
Description: Last.fm reporting client for mpd
 Music Player Daemon client which collects information about played tracks and
 submits them to the Last.fm social music network (formerly known as
 Audioscrobbler). If submission servers are not reachable, submissions are
 enqueued and stored on disk cache.
 .
 The client can be also configured to use other scrobbling services like
 Libre.fm.
 .  
 This package contains daemon which can be optionally installed system wide.

Package: mpdscribble-dbg
Architecture: any
Priority: extra
Section: debug
Depends: mpdscribble (= ${binary:Version}), ${misc:Depends}
Description: Last.fm reporting client for mpd - debugger symbols
 Music Player Daemon client which collects information about played tracks and
 submits them to the Last.fm social music network (formerly known as
 Audioscrobbler). If submission servers are not reachable, submissions are
 enqueued and stored on disk cache.
 .
 The client can be also configured to use other scrobbling services like
 Libre.fm.
 .  
 This package contains debugger symbols.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_strip:
	dh_strip --dbg-package=mpdscribble-dbg

override_dh_installinit:
	# Needs to stop before mpd and start after it
	dh_installinit -- start 31 2 3 4 5 . stop 14 0 1 6 .

override_dh_installchangelogs:
	dh_installchangelogs NEWS

build: build-stamp

build-stamp:
	dh build
	touch $@

clean:
	dh clean
	debconf-updatepo

install: build
	dh install

binary-indep: build install
# We have nothing to do here.

binary-arch: build install
	dh binary-arch

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## mpdscribble 0.22

=== debian/changelog ===
mpdscribble (0.22-6) unstable; urgency=medium

  * Switch to the debhelper compat level 12.
  * Replace debian/compat with B-D: debhelper-compat.
  * Bump Standards-Version to 4.3.0.
  * Switch to the automatic debug packages.
  * Update URLs in Homepage and debian/copyright.
  * Update my email and copyright years in debian/copyright.
  * Update Vcs-* fields to use salsa.
  * Use HTTPS in debian/watch.
  * Use HTTPS for the copyright format URL.
  * Don't install NEWS as changelog.
  * Don't remove the user and the group on purge.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 05 Feb 2019 21:35:35 +0500

mpdscribble (0.22-5) unstable; urgency=medium

  * Use dh-autoreconf (and fix an autoconf 2.68+ warning) (Closes: #744472).
  * Update debian/watch.
  * Bump Standards-Version to 3.9.5 (no change needed).
  * Enable NoNewPrivileges in the systemd service file.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 31 Aug 2014 20:23:27 +0600

mpdscribble (0.22-4) unstable; urgency=low

  * Team upload

  [ Andrey Rahmatullin ]
  * Move the config example from /usr/share/doc/mpdscribble to
    /usr/share/mpdscribble as it is used in the postinst (Closes: #710066).
  * Bump Standards-Version to 3.9.4 (no change needed).
  * Use canonical URLs in Vcs-* control fields.
  * Don't pass explicit update-rc.d params to dh_installinit.
  * Add preliminary systemd support.
  * Fix inverted handling of MPD_SYSTEMWIDE in mpdscribble.config.

  [ Florian Schlichting ]
  * Remove unnecessary version from dh-systemd dependency (no older version in
    the archive)
  * Refresh debian/copyright

 -- Florian Schlichting <fsfs@debian.org>  Tue, 26 Nov 2013 23:13:45 +0100

mpdscribble (0.22-3) unstable; urgency=low

  [Daniel Martí]
  * Add status option to the initscript.

  [Andrey Rahmatullin]
  * Adopt the package, move it to the pkg-mpd team. Update Maintainer,
    Uploaders, Vcs-* accordingly (Closes: #612908).
  * Bump debhelper compatibility level to 9.
  * Enable all hardening options.
  * Explicitly use the soup backend instead of the default curl backend.
  * Update debian/copyright to the latest DEP5 version.
  * Drop obsolete README.source.
  * Bump Standards-Version to 3.9.3 (no change needed).
  * Drop an ancient version from the ucf dependency.

 -- Andrey Rahmatullin <wrar@wrar.name>  Fri, 09 Mar 2012 01:14:07 +0600

mpdscribble (0.22-2) unstable; urgency=low

  * QA upload.
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #624731
    - Polish (Michał Kułach).  Closes: #660219
    - Danish (Joe Hansen).  Closes: #660256
    - Slovak (Ivan Masár).  Closes: #661135

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Feb 2012 10:13:03 +0100

mpdscribble (0.22-1) unstable; urgency=low

  * Orphaning package, changing maintainer to QA.
  * New upstream release.
  * Bump standards to 3.9.2.
  * Add build-arch/indep targets.

 -- Michal Čihař <nijel@debian.org>  Fri, 05 Aug 2011 14:14:04 +0200

=== debian/control ===
Source: mpdscribble
Section: sound
Priority: optional
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders: Andrey Rahmatullin <wrar@debian.org>
Build-Depends: debhelper-compat (= 12),
    libsoup2.4-dev,
    libmpdclient-dev,
    po-debconf
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/mpd-team/mpdscribble.git
Vcs-Browser: https://salsa.debian.org/mpd-team/mpdscribble
Homepage: https://www.musicpd.org/clients/mpdscribble/
Rules-Requires-Root: no

Package: mpdscribble
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
    ucf,
    adduser,
    lsb-base
Suggests: mpd
Provides: mpd-client
Description: Last.fm reporting client for mpd
 Music Player Daemon client which collects information about played tracks and
 submits them to the Last.fm social music network (formerly known as
 Audioscrobbler). If submission servers are not reachable, submissions are
 enqueued and stored on disk cache.
 .
 The client can be also configured to use other scrobbling services like
 Libre.fm.
 .
 This package contains daemon which can be optionally installed system wide.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-http-client=soup

override_dh_auto_install:
	dh_auto_install
	rm debian/mpdscribble/etc/mpdscribble.conf

override_dh_strip:
	dh_strip --dbgsym-migration='mpdscribble-dbg (<< 0.22-6~)'

override_dh_clean:
	debconf-updatepo
	dh_clean

=== debian/watch ===
version=3
https://www.musicpd.org/download/mpdscribble/(\d[\d.]+)/mpdscribble-([\d.]+)\.tar\.bz2

## mpdscribble 0.23

=== debian/changelog ===
mpdscribble (0.23-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields.
  * Drop transition for old debug package migration.

  [ Geoffroy Youri Berret ]
  * Update debian/watch (missing xz compression)
  * Enable pgpmode in watch file, add upstream signing key
  * debian/patches: Drop all patches, upstream uses to meson/ninja
  * Update for meson build
  * Update copyright file
  * Fixed national-encoding in debian/po files
  * Remove "chown -R" in postint script
  * Add new maintainer (Closes: #1004254)
  * Fixed deprecated dpkg-statoverride option --force
  * Update standards version to 4.6.0, no changes needed.
  * New upstream release (Closes: #973958).
  * Remove Andrey Rahmatullin from Uploaders
  * Fixed typo in postinst script.
    Thanks to Florian Schlichting for reviewing

 -- Geoffroy Youri Berret <efrim@azylum.org>  Tue, 08 Feb 2022 17:20:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,17 @@
 Section: sound
 Priority: optional
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
-Uploaders: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper-compat (= 12),
-    libsoup2.4-dev,
-    libmpdclient-dev,
-    po-debconf
-Standards-Version: 4.3.0
+Uploaders: Geoffroy Youri Berret <efrim@azylum.org>
+Build-Depends: debhelper-compat (= 13),
+               meson (>= 0.49.0),
+               pkg-config,
+               libboost-dev,
+               libcurl4-gnutls-dev | libcurl-dev,
+               libgcrypt20-dev,
+               libmpdclient-dev (>= 2.5),
+               libsystemd-dev [linux-any],
+               po-debconf
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/mpd-team/mpdscribble.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpdscribble
 Homepage: https://www.musicpd.org/clients/mpdscribble/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

ifeq ($(DEB_HOST_ARCH_OS), linux)
WITH_SYSTEMD=-Dsystemd=enabled
else
WITH_SYSTEMD=-Dsystemd=disabled
endif

override_dh_auto_configure:
	dh_auto_configure -- $(WITH_SYSTEMD)

override_dh_auto_install:
	dh_auto_install
	rm debian/mpdscribble/usr/share/doc/mpdscribble/COPYING

override_dh_clean:
	debconf-updatepo
	dh_clean

## mpdscribble 0.24

=== debian/changelog ===
mpdscribble (0.24-3) unstable; urgency=medium

  * Do not ship /etc/mpdscribble.conf as a conffile (already managed with ucf)
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #1035603)

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sun, 07 May 2023 20:00:03 +0200

mpdscribble (0.24-2) unstable; urgency=medium

  * Fixed FTBS (porting to gcc12) (Closes: #1016284)

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sun, 31 Jul 2022 18:28:30 +0200

mpdscribble (0.24-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright
  * Update my email as Uploaders
  * Update standards version to 4.6.1, no changes needed.

 -- Geoffroy Youri Berret <kaliko@debian.org>  Thu, 09 Jun 2022 16:37:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
-Uploaders: Geoffroy Youri Berret <efrim@azylum.org>
+Uploaders: Geoffroy Youri Berret <kaliko@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson (>= 0.49.0),
                pkg-config,
@@ -12,7 +12,7 @@
                libmpdclient-dev (>= 2.5),
                libsystemd-dev [linux-any],
                po-debconf
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/mpd-team/mpdscribble.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpdscribble
 Homepage: https://www.musicpd.org/clients/mpdscribble/

=== debian/watch ===
version=4
opts="pgpmode=auto" \
  https://www.musicpd.org/download/mpdscribble/(\d[\d.]+)/mpdscribble-([\d.]+)@ARCHIVE_EXT@

## mpdscribble 0.25

=== meson_options.txt ===
--- 
+++ 
@@ -5,3 +5,7 @@
 option('syslog', type: 'feature', description: 'syslog support')
 
 option('test', type: 'boolean', value: false, description: 'Build the unit tests and debug programs')
+
+option('epoll', type: 'boolean', value: true, description: 'Use epoll on Linux')
+option('eventfd', type: 'boolean', value: true, description: 'Use eventfd() on Linux')
+option('signalfd', type: 'boolean', value: true, description: 'Use signalfd() on Linux')

=== debian/changelog ===
mpdscribble (0.25-2) unstable; urgency=medium

  * Update Build-Depends, add systemd-dev (Closes: #1060567)
  * Update Build-Depends, switch to pkgconf

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 23 Feb 2024 17:28:01 +0100

mpdscribble (0.25-1) unstable; urgency=medium

  * Use pkgconfig for systemd unit location (Closes: #1034227)
  * Update standards version to 4.6.2, no changes needed.
  * d/control: drop dependency on lsb-base - package is obsolete
  * ci: Add Salsa's CI default configuration
  * Remove all patches (integrated upstream)
  * Update Build-Depends
  * Update copyright

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sat, 16 Dec 2023 22:35:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Geoffroy Youri Berret <kaliko@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               meson (>= 0.49.0),
-               pkg-config,
+               meson,
+               pkgconf,
                libboost-dev,
                libcurl4-gnutls-dev | libcurl-dev,
                libgcrypt20-dev,
-               libmpdclient-dev (>= 2.5),
+               libmpdclient-dev (>= 2.10),
                libsystemd-dev [linux-any],
+               systemd-dev [linux-any],
                po-debconf
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/mpd-team/mpdscribble.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpdscribble
 Homepage: https://www.musicpd.org/clients/mpdscribble/
@@ -24,7 +25,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
     ucf,
     adduser,
-    lsb-base
 Suggests: mpd
 Provides: mpd-client
 Description: Last.fm reporting client for mpd

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	rm debian/mpdscribble/etc/mpdscribble.conf
 	rm debian/mpdscribble/usr/share/doc/mpdscribble/COPYING
 
 override_dh_clean:
